GlyphTable.LookupSpec (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.complexscripts.fonts

## Class GlyphTable.LookupSpec

- java.lang.Object
- - org.apache.fop.complexscripts.fonts.GlyphTable.LookupSpec

- All Implemented Interfaces:
    java.lang.Comparable
  Enclosing class:
    GlyphTable

      public static class GlyphTable.LookupSpec
      extends java.lang.Object
      implements java.lang.Comparable

  A structure class encapsulating a lookup specification as a <script,language,feature> tuple.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LookupSpec(java.lang.String script, java.lang.String language, java.lang.String feature)` Instantiate lookup spec.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object o)`
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getFeature()`
    `java.lang.String` | `getLanguage()`
    `java.lang.String` | `getScript()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LookupSpec

          public LookupSpec(java.lang.String script,
                            java.lang.String language,
                            java.lang.String feature)

      Instantiate lookup spec.
      Parameters:
        `script` - a script identifier
        `language` - a language identifier
        `feature` - a feature identifier

  - ### Method Detail

    - #### getScript

          public java.lang.String getScript()

      Returns:
        script identifier

    - #### getLanguage

          public java.lang.String getLanguage()

      Returns:
        language identifier

    - #### getFeature

          public java.lang.String getFeature()

      Returns:
        feature identifier

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.